Bug 994507 - fixfiles returns non-zero value when no error is encountered
fixfiles returns non-zero value when no error is encountered
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: policycoreutils (Show other bugs)
7.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Walsh
Michal Trunecka
:
Depends On:
Blocks: 1043969
  Show dependency treegraph
 
Reported: 2013-08-07 08:19 EDT by Michal Trunecka
Modified: 2014-09-30 19:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1043969 (view as bug list)
Environment:
Last Closed: 2014-06-13 05:20:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Trunecka 2013-08-07 08:19:25 EDT
Description of problem:
When fixfiles is run with no directory definition, like this:

fixfiles restore

(works also with check and validate), it returns non-zero value (1).

The culprit are the last two lines in restore() function:

   [ -e /var/lib/debug ] && find /var/.......
   exit $?

And on default system, the debug file/dir doesn't exist, therefore the non-zero return value is propagated to the exit command.


Version-Release number of selected component (if applicable):
policycoreutils-2.1.14-70.el7.x86_64
Comment 1 Daniel Walsh 2013-10-04 17:27:38 EDT
Fixed in policycoreutils-2.1.14-85
Comment 3 Ludek Smid 2014-06-13 05:20:52 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.